OpenVDB 3.2.0

Classes | Public Types | Public Member Functions | List of all members
MaskedCopy< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
typedef TreeType::Ptr | TreeTypePtr
typedef TreeType::ValueType | ValueType
typedef TreeType::LeafNodeType | LeafNodeType
typedef TreeType::template ValueConverter< bool >::Type | BoolTreeType
typedef BoolTreeType::Ptr | BoolTreeTypePtr
typedef BoolTreeType::LeafNodeType | BoolLeafNodeType

## Public Member Functions
| MaskedCopy (const TreeType &tree, std::vector< TreeTypePtr > &segments, std::vector< BoolTreeTypePtr > &masks)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ BoolLeafNodeType

typedef BoolTreeType::LeafNodeType BoolLeafNodeType

## ◆ BoolTreeType

typedef TreeType::template ValueConverter<bool>::Type BoolTreeType

## ◆ BoolTreeTypePtr

typedef BoolTreeType::Ptr BoolTreeTypePtr

## ◆ LeafNodeType

typedef TreeType::LeafNodeType LeafNodeType

## ◆ TreeTypePtr

typedef TreeType::Ptr TreeTypePtr

## ◆ ValueType

typedef TreeType::ValueType ValueType

## Constructor & Destructor Documentation

## ◆ MaskedCopy()

MaskedCopy | ( | const TreeType & | tree,
|  | std::vector< TreeTypePtr > & | segments,
|  | std::vector< BoolTreeTypePtr > & | masks
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h